@import url('https://fonts.googleapis.com/css?family=Kalam|Open+Sans');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

/* Reset Style */
html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6 {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-size: 100%;
  vertical-align: baseline;
  /*line-height: 16px !important;*/
  letter-spacing: normal !important;
}

article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section {
  display: block;
}

nav ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

a {
  margin: 0;
  padding: 0;
  font-size: 100%;
  vertical-align: baseline;
  background: transparent;
}

/* change colours to suit your needs */
ins {
  background-color: #ff9;
  color: #000;
  text-decoration: none;
}

/* change colours to suit your needs */
mark {
  background-color: #ff9;
  color: #000;
  font-style: italic;
  font-weight: bold;
}

del {
  text-decoration: line-through;
}

abbr[title], dfn[title] {
  border-bottom: 1px dotted;
  cursor: help;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* change border colour to suit your needs */
hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #cccccc;
  margin: 1em 0;
  padding: 0;
}

input, select {
  vertical-align: middle;
}

/* Fin reset style */

body {
  font-family: 'Open Sans', sans-serif;
}

/* Radio Buttons */
input[type="radio"] {
  display: none;
  &: not(:disabled) ~ label {
	   cursor: pointer;
}
  &:disabled ~ label {
  color: hsla(150, 5%, 75%, 1);
  border-color: #565656;
  box-shadow: none;
  cursor: not-allowed;
}
}

label {
  display: block;
  background: white;
  color: #AAAAAA;
  text-align: center;
  /*box-shadow: 0px 3px 10px -2px hsla(150, 5%, 65%, 0.5);*/
  border: 1px solid #eeeeee; margin-left: 2px; margin-right: 2px;
  position: relative;
  padding-top: 18px;
  padding-bottom: 20px;
  font-size: 17px;
  cursor: pointer;
  border-radius: 5px;
}

label:hover {
    -webkit-filter: brightness(95%);
    filter: brightness(95%);
    -o-transition: .2s;
    -ms-transition: .2s;
    -moz-transition: .2s;
    -webkit-transition: .2s;
    transition: .2s;
}

input[type="radio"]:checked + label {
  background: #0758AA;
  color: #ffffff !important;
  /*box-shadow: 0px 5px 10px rgba(7, 88, 170, 0.75);*/
}

.flexcontainer {
  width: 50%;
  /*margin: 1rem;*/
}

@media only screen and (max-width: 600px) {
  .portfolioNames {
    flex-wrap: nowrap!important;
    flex-direction: column!important;
  }

  .g1_etna {
    height: 300px !important;
    width: 95%;
  }

  label {
      display: inline-block;
      margin-bottom: .5rem;
  }

  .portfolioNames > div {
    width: 100%!important;
  }

  input[type="radio"] + label {
    width: 88%;
    margin-left: 6%;
    margin-right: 6%;
  }

  .tablas {
    flex-direction: column;
    width: 100% !important;
    margin: 0 !important;
  }

  .flexcontainer {
    width: 90%;
    margin: auto;
    margin-top: 25px;
  }
}

.blackrock_title {
    color: #1C345B;
    font-family: 'Fira Sans', sans-serif;
    font-size: 1.8em;
    margin-top: 180px;
}

.activePortfolio {
  flex: 1 50%;
}

.portfolioNames {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding-top: 5px;
  width: auto;
  margin: 15px auto;
  flex-wrap: wrap;
  flex-direction: row;
  border-top: 4px solid #ccc;
}

.portfolioNames h2 {
    font-size: 16px;
    padding-left: 30px; padding-right: 30px;
    margin-bottom: 2px;
}

.portfolioNames h3 {
  font-size: 15px;
  padding-left: 30px; padding-right: 30px;
  margin-bottom: 2px;
  font-weight: normal;
}


.portfolioNames > div {
    margin-bottom: .0rem;
}

#portfolio-types-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 1rem;
    width: 100%;
    margin: 0 auto;
    flex-wrap: wrap;
    flex-direction: row;
}

#portfolio-types-container h2 {
  padding-bottom: 5px;
  padding-top: 18px;
    font-weight:bold;
    width:280px;
    margin: 0;
    color: #fff;
}

#portfolio-types-container h4 {
    font-size: 0.75rem;
    padding-bottom: 10px;
}

#portfolio-types-container label {
    padding:0;
    margin: 8px 20px;
    background-color:#ccc;
    color:#fff;
    border-radius:10px;
}
.big-button-legend {
    font-size: 12px;
    color:#aaa;
    font-weight:400;
    display:block;
    text-align:center;
    margin:0 auto;
    height:18px;
}

#platinumPortfolioNames {
    display:none;
}

.table-fill {
  background: white;
  border-radius: 3px;
  border-collapse: collapse;
  padding: 5px;
  width: 100%;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  animation: float 5s infinite;
  margin-top: 30px;
}

th {
  color: #D5DDE5;
  background: #2F3942;
  border-bottom: 4px solid #9ea7af;
  border-right: 1px solid #343a45;
  font-size: 15px;
  font-weight: 500;
  padding: 15px;
  text-align: left;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  vertical-align: middle;
  font-family: 'Roboto', sans-serif;
}

th:first-child {
  border-top-left-radius: 3px;
}

th:last-child {
  border-top-right-radius: 3px;
  border-right: none;
}

tr {
  border-top: 1px solid #C1C3D1;
  border-bottom: 1px solid #C1C3D1;
  color: #666B85;
  font-size: 14px;
  font-weight: normal;
  text-shadow: 0 1px 1px rgba(256, 256, 256, 0.1);
}

tr:first-child {
  border-top: none;
}

tr:last-child {
  border-bottom: none;
}

tr:last-child td:first-child {
  border-bottom-left-radius: 3px;
}

tr:last-child td:last-child {
  border-bottom-right-radius: 3px;
}

td {
  background: #FFFFFF;
  padding: 0px;
  padding-top: 10px !important;
  padding-bottom: 10px !important;
  padding-left: 10px ;
  text-align: left;
  vertical-align: middle;
  font-weight: 300;
  text-shadow: -1px -1px 1px rgba(0, 0, 0, 0.1);
  border-right: 1px solid #C1C3D1;
}

td.performance {
    padding-left:0;
}

td:last-child {
  border-right: 0px;
}

th.text-left {
  text-align: left;
  text-transform: uppercase;
}

th.text-center {
  text-align: center;
  text-transform: uppercase;
}

th.text-right {
  text-align: right;
}

td.text-left {
  text-align: left;
}

td.text-center {
  text-align: center;
}

td.text-right {
  text-align: right;
}

.small {
	/*font-size:14px;*/
}

.disclaimerPortfolios {
  /*height: 1rem;*/
  /*margin: auto;*/
  font-size: .8rem;
  /*max-width: 540px;*/
  margin-bottom: 1rem;
}

.disclaimerPortfolios:empty:after{
    content: " ";
}

.botonera_portfolios {
  margin-top: 100px;
  padding-left: 100px;
  padding-right: 100px;
  width: 100%;
}

.portfolio_titulo {
  font-size: 14px;
  text-align: justify;
  margin: 2rem auto;
  margin-bottom: 3em;
  color: #666;
  padding: 0 2.5rem;
}

.discraimer {
  color: #1C345B;
}

.chartContainer {
  width: 45%;
  height: 350px;
  float: left;
}

.chartContainer2 {
  width: 40%;
  height: 300px;
  margin-top: 20px;
  float: right;
}

.tablas {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  width: 90%;
  margin: 1.5rem auto;
}

.table-general-indicator {
    padding:8px 10px;
    background-color: #eee;
    border-radius: 8px;
    margin:20px 10px 8px 10px;
    text-align:center;
    color:#777;
    text-shadow: none;
}
.table-general-indicator-value {
    font-size:15px;
    display: inline-block;
    margin-left: 5px;
}
.table-graphic-title {
    border-bottom: 3px solid #ddd;
    text-align: right;
    font-size:16px;
    font-weight:400;
    color:#aaa;
    text-shadow: none;
}

.no-border {
    border:none;
}

.discraimer {
  font-size: 10px;
  margin: 50px 120px 100px 80px;
}

.discraimer_titulo {
  font-size: 13px;
  display: block;
  font-weight: bold;
  margin-bottom: 10px;
  width: 100%;
}

.discraimer_subtitulo {
  font-size: 13px;
  display: block;
  font-weight: bold;
  margin-bottom: 10px;
  margin-top: 20px;
  width: 100%;
}

.contenedorgraficos {
  min-height: 311px;
  margin-top: 0px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

.g1 {
  height: 460px;
  width: 95%;
  vertical-align: middle;
}

.g1_etna {
  height: 400px;
  width: 95%;
}

.g2 {
  height: 320px;
    margin-top:20px;
    margin-bottom:20px;
}

.c1 {
  width: 41%;
  margin-right: 3rem;
  height: 300px;
}

.c2 {
  width: 44%;
  height: 300px;
}

#interest_risk_table,
#number_holdings_table,
#disclaimerPortfolioErna,
#portfolio_line_chart,
#disclaimerPortfolioNotErna,
#statistics_container,
#bonds_container,
#stocks_container,
#performance_by_months_container,
#performance_by_months_container_mobile {
    display:none;
}

#performance_by_months_wrapper {
    display:none;
}
#performance_by_months_wrapper_mobile{
    display:block;
}

@media only screen
  and (min-device-width: 214px)
  and (max-device-width: 736px) {
    .contenedorgraficos {
      flex-direction: column;
      align-items: center;
    }

    .c1 {
      width: 90%;
      margin: 1rem auto;
      height: 350px;
    }

    .c2 {
      width: 90%;
      margin: 1rem auto;
      height: 300px;
    }
}

@media only screen
  and (min-device-width: 214px)
  and (max-device-width: 736px)
  and (orientation: landscape) {
    .c1 {
      width: 60%;
      margin: 1rem auto;
      height: 350px;
    }

    .c2 {
      width: 70%;
      margin: 1rem auto;
      height: 300px;
    }
}

@media only screen
  and (min-device-width: 768px)
  and (max-device-width: 1024px)
  and (orientation: portrait)
  and (-webkit-min-device-pixel-ratio: 1) {
    .c1 {
      width: 45%;
      margin-right: 2rem;
      height: 350px;
    }
}

@media (max-width: 600px) {
  label {
    font-size: 15px;
  }

  .botonera_portfolios {
    padding-left: 30px;
    padding-right: 30px;
    margin-top: 90px;
  }

  .table-fill {
    width: 100% !important;
  }


  .portfolio_titulo {
    font-size: 16px;
    margin: 1rem auto;
  }

  .chartContainer {
    width: 100%;
    height: 250px;
    margin-bottom: 0px;
  }

  .chartContainer2 {
    width: 100%;
    height: 250px;
    margin-bottom: 40px;
  }

  .discraimer {
    margin-left: 30px;
    margin-right: 30px;
    margin-top: 40px;
    margin-bottom: 30px;
    font-size: 12px;
  }
}

@media only screen and (max-width: 600px){

    .portfolioNames {
        width:100%;
    }
    input[type="radio"] + label {
        width: 100%;
        margin-left: 0;
        margin-right: 0;
    }

}

/* Portrait and Landscape */
@media only screen
  and (min-device-width: 768px)
  and (max-device-width: 1024px)
  and (-webkit-min-device-pixel-ratio: 1) {
  .chartContainer {
    float: initial;
    margin: 0 auto;
    height: 400px;
    width: 60%;
  }

  .chartContainer2 {
    width: 100%;
    height: 300px;
    margin: 0 auto;
    float: inherit;
  }
}

@media(min-device-width: 1200px){
    #performance_by_months_wrapper {
        display:flex;
    }
    #performance_by_months_wrapper_mobile{
        display:none;
    }
}
